﻿
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT JAva Script*@
@Html.Partial("_PartialScriptProductionSchedule")
@*Setting Pop Up Control*@
@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "Modal_PS";
    settings.CallbackRouteValues = new { Controller = "ProductionSchedule", Action = "_AddPopUp" };
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(10);
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(500);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Add New Production Schedule";
    settings.SetContent(() =>
    {

    });
    settings.ShowFooter = false;
}).GetHtml()

@Html.DevExpress().PopupControl(settings =>
{
    settings.Name = "Modal_psEdit";
    settings.CallbackRouteValues = new { Controller = "ProductionSchedule", Action = "SPN211EditPopUpUpdate" };
    settings.PopupVerticalAlign = PopupVerticalAlign.WindowCenter;
    settings.PopupHorizontalAlign = PopupHorizontalAlign.WindowCenter;
    settings.ShowFooter = true;
    settings.AllowDragging = true;
    settings.EnableHotTrack = true;
    settings.Height = System.Web.UI.WebControls.Unit.Pixel(100);
    settings.Width = System.Web.UI.WebControls.Unit.Pixel(450);
    settings.LoadContentViaCallback = LoadContentViaCallback.OnFirstShow;
    settings.Modal = true;
    settings.HeaderText = "Edit Production Schedule";
    settings.SetContent(() =>
    {

    });
    settings.ShowFooter = false;
}).GetHtml()


<div class="content">
    <table width="100%">
        <tr>
            <td>
                 <fieldset style="border:2px;border-style:outset;width:400px;height:53px;">                     
                    <table>
                        <tr>
                            <td>
                               @using (Html.BeginForm("CallbackUpload", "ProductionSchedule", FormMethod.Post))
                            {
                                @Html.DevExpress().UploadControl(
                                    settings =>
                                    {
                                        settings.Name = "UploadProdScheInqury";
                                        settings.Width = 300;
                                        settings.ShowProgressPanel = true;
                                        settings.CallbackRouteValues = new { Controller = "ProductionSchedule", Action = "SPN212CallbackUpload" };
                                        settings.ClientSideEvents.FileUploadComplete = "UploadDataComplete";
                                    }).GetHtml()
                            }
                            </td>
                            <td style="width:5px"></td>
                            <td>
                                @Html.DevExpress().Button(
                                settings => {
                                settings.Name = "btnUpload";
                                settings.Text = "Upload";
                                settings.Width = 90;
                                settings.Height = 25;
                                settings.ClientSideEvents.Click = "UploadData";
                                settings.Style.Add("display", "inline-table");
                            }).GetHtml()     
                            </td>
                        </tr>
                        <tr>
                            <td>
                               @Html.DevExpress().Label(
                                    label =>
                                    {
                                        label.Text = "Allowed file type : xls";
                                        label.Style.Add("color", "gray");
                                    }).GetHtml() 

                                &nbsp; &nbsp;

                                @Html.DevExpress().HyperLink(Link =>
                                    {
                                        Link.Name = "DownloadLink";
                                        Link.Properties.Text = "Download Template";
                                        Link.Width = 160;
                                        Link.NavigateUrl = "Template/Production_Schedule_Inquiry_Upload.xls";
                                        Link.Style.Add("display", "inline-table");
                                    }).GetHtml()
                            </td>
                        </tr>
                    </table>
                </fieldset>
            </td>
            <td>
                <fieldset style="border:2px;border-style:outset;height:53px;">                     
                    <table>
                        <tr>
                            <td style="width: 155px">
                            @Html.DevExpress().Label(
                            label =>
                            {
                                label.Text = "*Prod Month";
                            }).GetHtml()
                            </td>
                            <td style="width:170px">
                            @Html.DevExpress().DateEdit(
                            settings =>
                            {
                                settings.Name = "prodmonth";
                                settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Center;
                                settings.Properties.ValidationSettings.ErrorDisplayMode = DevExpress.Web.ASPxEditors.ErrorDisplayMode.ImageWithTooltip;
                                settings.Properties.DisplayFormatInEditMode = true;
                                settings.Properties.EditFormatString = "yyyyMM";
                                settings.Properties.DisplayFormatString = "yyyyMM";
                                settings.Properties.CalendarProperties.EnableYearNavigation = true;
                                settings.Properties.ClientSideEvents.DropDown = "OnDropDown";
                                settings.Properties.ClientSideEvents.Init = "OnInit";
                                settings.Width = 80;
                            }).GetHtml() 
                            </td>
                            <td style="width:155px">
                            
                               @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "*Plant Code";
                                }).GetHtml()
                            </td>
                            <td style="width:170px">
                           
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "Plantcode";
                                settings.Width = 80;
                                settings.SelectedIndex = -1;
                                settings.CallbackRouteValues = new { Controller = "ProductionSchedule", Action = "ComboBoxPartial_Plant" };
                                settings.Properties.TextField = "PLANT_CD";
                                settings.Properties.ValueField = "PLANT_CD";
                            }).BindList(ViewData["PLANT_CD"]).GetHtml()
                            </td> 
                            <td style="width:155px">
                           
                                @Html.DevExpress().Label(
                                label =>
                                {
                                    label.Text = "Line Code";
                                }).GetHtml()
                            </td>
                            <td style="width:170px">
                            
                            @Html.DevExpress().ComboBox(
                            settings =>
                            {
                                settings.Name = "Linecode";
                                settings.Width = 80;
                                settings.SelectedIndex = -1;
                                settings.CallbackRouteValues = new { Controller = "ProductionSchedule", Action = "ComboBoxPartial_line" };
                                settings.Properties.TextField = "LINE_CD";
                                settings.Properties.ValueField = "LINE_CD";
                            }).BindList(ViewData["LINE_CD"]).GetHtml()            
                            </td> 
                            <td style="width:480px" align="right">
                      
                         @Html.DevExpress().Button(
                         edtSetting =>
                         {
                             edtSetting.Name = "cmdSearch";
                             edtSetting.Text = "Search";
                             edtSetting.Width = 90;
                             edtSetting.Height = 25;
                             edtSetting.ClientSideEvents.Click = "OnSearch";
                             edtSetting.Style.Add("display", "inline-table");
                             edtSetting.UseSubmitBehavior = true;
                         }).GetHtml()
                            </td>
                            <td style="width:5px"></td>
                            <td>
                               @Html.DevExpress().Button(
                                edtSetting =>
                            {
                                edtSetting.Name = "cmdClear";
                                edtSetting.Width = 90;
                                edtSetting.Height = 25;
                                edtSetting.Text = "Clear";
                                edtSetting.ClientSideEvents.Click = "OnClear";
                                edtSetting.Style.Add("display", "inline-table");
                                edtSetting.UseSubmitBehavior = true;
                            }).GetHtml()
                            </td>                          
                        </tr>
                        <tr>
                           
                        </tr>
                    </table>
                </fieldset>
            </td>
        </tr>        
    </table>
    <p></p>
    <table>
        <tr>
            <td>
            @Html.DevExpress().Button(
            edtSetting =>
        {
            edtSetting.Name = "cmdDownload";
            edtSetting.Width = 90;
            edtSetting.Height = 25;
            edtSetting.Text = "Download";
            edtSetting.ClientSideEvents.Click = "DownloadData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientEnabled = false;
        }).GetHtml()
            </td>
            <td style="width:940px"></td>
            <td>
            @Html.DevExpress().Button(
             edtSetting =>
             {
                 edtSetting.Name = "cmdAdd";
                 edtSetting.Text = "Add";
                 edtSetting.Width = 90;
                 edtSetting.Height = 25;
                 edtSetting.ClientSideEvents.Click = "OnAdd";
                 edtSetting.Style.Add("display", "inline-table");
                 edtSetting.UseSubmitBehavior = true;

             }).GetHtml()
            </td>
            <td style="width:5px"></td>
            <td>
               @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "CmdEdit";
                        settings.Text = "Edit";
                        settings.Width = 90;
                        settings.Height = 25;
                        settings.ClientSideEvents.Click = "OnEdit";
                        settings.Style.Add("display", "inline-table");
                        settings.ClientEnabled = false;
                    }
                ).GetHtml()
            </td>
            <td style="width:5px"></td>
            <td>
                 @Html.DevExpress().Button(
                    settings =>
                    {
                        settings.Name = "CmdDelete";
                        settings.Text = "Delete";
                        settings.Width = 90;
                        settings.Height = 25;
                        settings.ClientSideEvents.Click = "OnDelete";
                        settings.Style.Add("display", "inline-table");
                        settings.ClientEnabled = false;
                    }
                ).GetHtml()
            </td>
        </tr>
    </table>
</div>
<div class="content" style="min-height:490px">
    @Html.Partial("GridViewProductionSchedule_cari")  
</div>
    
    
   